%global provider        github
%global provider_tld    com
%global project         projectatomic
%global repo            oci-systemd-hook
# https://github.com/projectatomic/oci-systemd-hook
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          83283a0b668947038d17527182c9926d04d602b3
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           %{repo}
Epoch:          1
Version:        0.1.17
Release:        2.git%{shortcommit}%{?dist}
Summary:        OCI systemd hook for docker
Group:          Applications/Text
License:        GPLv3+
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(yajl)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(mount)
BuildRequires:  go-md2man
Obsoletes:      %{name} <= 1.10.3-46

%description
OCI systemd hooks enable running systemd in a OCI runc/docker container.

%prep
%setup -q -n %{name}-%{commit}

%build
aclocal
autoreconf -i
%configure --libexecdir=%{_libexecdir}/oci/hooks.d/
make %{?_smp_mflags}

%install
%make_install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%doc README.md
%license LICENSE
%{_mandir}/man1/%{name}.1*
%dir %{_libexecdir}/oci
%dir %{_libexecdir}/oci/hooks.d
%{_libexecdir}/oci/hooks.d/%{name}
%dir %{_usr}/share/containers/oci/hooks.d
%{_usr}/share/containers/oci/hooks.d/oci-systemd-hook.json

%changelog
* Mon Jul 23 2018 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.17-2.git83283a0
- rebase to 83283a0b668947038d17527182c9926d04d602b3

* Mon Jun 18 2018 Dan Walsh <dwalsh@redhat.name> - 1:0.1.17-1.git87fb61e
- Don't attempt to set SELinux labels, if they are ""

* Mon Jun 04 2018 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.16-1.git05bd9a0
- rebase to 05bd9a0cceb8ad88a2815f25911f519162181def

* Thu Feb 01 2018 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.15-2.gitc04483d
- rebase to c04483d32aaad351da14b3b42dfe1e9e69ffa974

* Thu Dec 21 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.15-1.git
- Fix issue with oci-systemd-hook running in user namespaces
- fix json file to run container with proper stage field.

* Mon Dec 11 2017 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.14-2.git9b1e622
- rebased to 9b1e622c86cf738b404f89ee405803a0338ae9d7

* Thu Sep 21 2017 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.14-1.git1ba44c6
- rebase to 1ba44c624342f601c45097db2abeb4d01f6b3053

* Tue Aug 08 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.12-1.git1e84754
- Resolves: #1479510
- sync version number with configure.ac

* Thu Jul 20 2017 fkluknav <fkluknav@redhat.com> - 1:0.1.8-5.1.git1e84754
- rebased to 1e84754af7488331ee0353e6100ee2066defec23

* Wed Jun 14 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.8-4.1.gite533efa
- correct date in previous entry

* Wed Jun 14 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.8-3.1.gite533efa
- built commit e533efa

* Wed Jun 07 2017 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.8-2.rhel74..gitd899a8e
- modify release tag to clearly indicate rhel74

* Tue Jun 6 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.8-1.gitd899a8e
- Fixes for running with user namespace

* Wed Mar 29 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.7-1.gitfe22236
- rh-ulrich-o - Patch to allocate configData dynamically

* Mon Mar 6 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.6-1.git16f7c8a
- Reimplement systemd handling.
- Remove docker path from systemdhook

* Wed Feb 8 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.5-1.git16f7c8a
- Fix mounting of /var/log/journal inside of the container

* Thu Feb 2 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.4-10.git5db667f
- oci-systemd-hook: do not fail if /run/secrets does not exist
- Fix compiler -Wall -Wextra issues

* Thu Jan 12 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.4-9.git671c428
- Resolves: #1412728
- built commit 671c428

* Tue Dec 20 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-8.git45455fe
- Resolves: #1364237
- built commit 45455fe

* Tue Oct 25 2016 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.4-7.gita9c551a
- rebase

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-6.git337078c
- Resolves: #1355905
- built commit 337078c

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-5.git41491a3
- Obsoletes the subpackage earlier provided by docker

* Thu Jun 30 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-4.git41491a3
- Bump Epoch to 1 so that it can obsolete subpackage from docker

* Tue Jun 28 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-3.git41491a3
- re-add provider_prefix since gofed needs it

* Thu Jun 23 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-2.git41491a3
- built commit 41491a3
- spec file cleanup
- remove provider_prefix and only use import_path

* Thu Feb 18 2016 Dan Walsh <dwalsh@redhat.com> - 0.1.4-1.gitde345df
- Fix up to prepare for review

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.3
- Fix bug in man page installation

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.2
- Add man pages

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.1
- Initial RPM release
